#ifndef LAUNCHER_H
#define LAUNCHER_H

#include <QObject>
#include <QString>
#include <QStringList>
#include <QProcess>
#include <QDir>

#include "forge1.12.2/getArgs.h"

class Launcher : public QObject {
    Q_OBJECT

public:
    explicit Launcher(QObject *mainwindow = nullptr);
    ~Launcher();

    void startProcess(
			QString &workingDir, 
			QString &executablePath, 
			QString &RAM, 
			QString &username, 
			QString &uuid, 
			QString &access_token,
			QString garbarge_collector);

private:
    QProcess *process;
	QObject *mainwindow;
	getArgs *get_args;
};

#endif
